Debian Bug report logs - #674006
wvdial stop working: Assertion `magic_number == -0x123678' failed

version graph

Package: libwvstreams4.6-base; Maintainer for libwvstreams4.6-base is Debian QA Group <packages@qa.debian.org>; Source for libwvstreams4.6-base is src:wvstreams.

Reported by: Emfox Zhou <emfox@debian.org>

Date: Tue, 22 May 2012 13:42:02 UTC

Severity: critical

Tags: patch, sid, wheezy

Merged with 677527, 679242

Found in versions wvstreams/4.6.1-4, 4.6.1-4+c0.aptosid.1

Fixed in version wvstreams/4.6.1-5

Done: Johann Felix Soden <johfel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thierry Randrianiriana <thierry@debian.org>:
Bug#674006; Package wvdial. (Tue, 22 May 2012 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emfox Zhou <emfox@debian.org>:
New Bug report received and forwarded. Copy sent to Thierry Randrianiriana <thierry@debian.org>. (Tue, 22 May 2012 13:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emfox Zhou <emfox@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wvdial stop working: Assertion `magic_number == -0x123678' failed
Date: Tue, 22 May 2012 21:38:18 +0800
Package: wvdial
Version: 1.61-4.1
Severity: important

After I did a 'aptitude dist-upgrade' (the last upgrade was done three days
before), wvdial refused to start, here's the detail log:

emfox:~# wvdial
--> WvDial: Internet dialer version 1.61
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
wvdial: utils/wvtask.cc:409: static void WvTaskMan::_stackmaster(): Assertion
`magic_number == -0x123678' failed.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=zh_CN.utf8, LC_CTYPE=zh_CN.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wvdial depends on:
ii  debconf [debconf-2.0]   1.5.43
ii  libc6                   2.13-32
ii  libgcc1                 1:4.7.0-8
ii  libstdc++6              4.7.0-8
ii  libuniconf4.6           4.6.1-4
ii  libwvstreams4.6-base    4.6.1-4
ii  libwvstreams4.6-extras  4.6.1-4
ii  ppp                     2.4.5-5.1

wvdial recommends no packages.

wvdial suggests no packages.

-- debconf information:
  wvdial/phone:
  wvdial/passphrases_mismatch:
  wvdial/wvdialconf: true
  wvdial/login:




Information forwarded to debian-bugs-dist@lists.debian.org, Thierry Randrianiriana <thierry@debian.org>:
Bug#674006; Package wvdial. (Tue, 22 May 2012 14:57:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emfox Zhou <emfox@debian.org>:
Extra info received and forwarded to list. Copy sent to Thierry Randrianiriana <thierry@debian.org>. (Tue, 22 May 2012 14:57:26 GMT) Full text and rfc822 format available.

Message #10 received at 674006@bugs.debian.org (full text, mbox):

From: Emfox Zhou <emfox@debian.org>
To: 674006@bugs.debian.org
Subject: Re: Bug#674006: Acknowledgement (wvdial stop working: Assertion `magic_number == -0x123678' failed)
Date: Tue, 22 May 2012 22:56:23 +0800
[Message part 1 (text/plain, inline)]
and I use wvdialconf to generate the .conf file, here it is.

On Tue, May 22, 2012 at 9:42 PM, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> Thank you for filing a new Bug report with Debian.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  Thierry Randrianiriana <thierry@debian.org>
>
> If you wish to submit further information on this problem, please
> send it to 674006@bugs.debian.org.
>
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 674006: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674006
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems



-- 
Emfox Zhou

GnuPG Public Key: 0xF7142EC2
[wvdial.conf (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thierry Randrianiriana <thierry@debian.org>:
Bug#674006; Package wvdial. (Thu, 24 May 2012 12:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Hildebrandt <slam@aptosid.com>:
Extra info received and forwarded to list. Copy sent to Thierry Randrianiriana <thierry@debian.org>. (Thu, 24 May 2012 12:09:17 GMT) Full text and rfc822 format available.

Message #15 received at 674006@bugs.debian.org (full text, mbox):

From: Chris Hildebrandt <slam@aptosid.com>
To: 674006@bugs.debian.org
Subject: Bug is actually in libwvstreams4.6-base 4.6.1-4
Date: Thu, 24 May 2012 14:04:06 +0200
[Message part 1 (text/plain, inline)]
Hi,
I confirm the problem.
The big is actually in latest upgrade of libwvstreams4.6-base to version
4.6.1-4, since it was re-compiled with gcc-4.7. With gcc-4.6 compiled it
does work fine, as it did before.
Please move to correct package, and fix.
Thanks,
Chris (slam) Hildebrandt
http://aptosid.com
[Message part 2 (text/html, inline)]

Bug reassigned from package 'wvdial' to 'libwvstreams4.6-base'. Request was from Thierry Randrianiriana <thierry@debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 16:00:14 GMT) Full text and rfc822 format available.

No longer marked as found in versions wvdial/1.61-4.1. Request was from Thierry Randrianiriana <thierry@debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 16:00:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, etognoni@live.it, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Sat, 02 Jun 2012 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to enrico tognoni <etognoni@live.it>:
Extra info received and forwarded to list. Copy sent to etognoni@live.it, Debian QA Group <packages@qa.debian.org>. (Sat, 02 Jun 2012 10:18:15 GMT) Full text and rfc822 format available.

Message #24 received at 674006@bugs.debian.org (full text, mbox):

From: enrico tognoni <etognoni@live.it>
To: Debian Bug Tracking System <674006@bugs.debian.org>
Subject: libwvstreams4.6-base: libwvstream4.6-base is not possible to upgrade or wvdial stop working
Date: Sat, 02 Jun 2012 12:11:28 +0200
Package: libwvstreams4.6-base
Followup-For: Bug #674006

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
   libwvstreams4.6-base (version 4.6.1-1) will be upgraded to version 4.6.1-4 
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   i started upgrade with synaptic
   * What was the outcome of this action?
   wvdial stop working no possible to connect to internet
   * What outcome did you expect instead?
   everything works fine like usual when i connect to internet




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Tue, 05 Jun 2012 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bengt Frost <bengtfrost@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 05 Jun 2012 07:15:04 GMT) Full text and rfc822 format available.

Message #29 received at 674006@bugs.debian.org (full text, mbox):

From: Bengt Frost <bengtfrost@gmail.com>
To: Debian Bug Tracking System <674006@bugs.debian.org>
Subject: Re: wvdial stop working: Assertion `magic_number == -0x123678' failed
Date: Tue, 05 Jun 2012 09:10:17 +0200
Package: libwvstreams4.6-base
Followup-For: Bug #674006

After I did a aptitude upgrade to libwvstreams4.6-base 4.6.1-4 wvdial stop working. Tempory solution downgrade to libwvstreams4.6-base_4.6.1-2build1 (and libwvstreams4.6-extras_4.6.1-2build1).

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libwvstreams4.6-base depends on:
ii  libc6       2.13-32
ii  libgcc1     1:4.7.0-8
ii  libstdc++6  4.7.0-8

libwvstreams4.6-base recommends no packages.

libwvstreams4.6-base suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Wed, 06 Jun 2012 11:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 06 Jun 2012 11:43:44 GMT) Full text and rfc822 format available.

Message #34 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org, gregoa@debian.org
Subject: libwvstreams4.6-base 4.6.1-4 ----- wvdial stopped working
Date: Wed, 6 Jun 2012 21:37:30 +1000
[Message part 1 (text/plain, inline)]
Dear Gregor Herrmann,

As you were the kind DD who fixed the gcc 4.7 failure to build for
libwvstreaams4.6-base, I am emailing you
regarding this bug since you might be able to do a QA upload.

This bug relates to further problems with libwvstreams4.6-base when
building with gcc 4.7 rather than gcc 4.6.

The compiler aggressively optimizes causing a  failure when trying to use
the wvdial package.

The fedora project has also found a problem with gcc 4.7 and wvstreams
package.

The assert error

wvdial: utils/wvtask.cc:409: static void WvTaskMan::_stackmaster(): Assertion
`magic_number == -0x123678' failed.

thrown by wvdial is caused by a failure in libwvstreams4.6-base.


In particular the variable magicnumber should be marked volatile to
prevent compiler optimizations.

I attach the Fedora version of the patch. It may need to be refreshed
for use in
Debian.

The original discussion at Fedora for this bug is found at:
http://permalink.gmane.org/gmane.linux.redhat.fedora.extras.cvs/779635


Please note wvdial is a way of dialing a 3G cell phone modem for
internet connection.
It is thus important for accessing the internet for some users.

Would you be able to refresh this patch and upload to Debian?

I am unable to do this since I am a lowly uploader for an unrelated
packages festival and speech-tools.
I have no archive upload privileges to Debian.

If you are unable to address this, do you know the correct DD to
assist since it appears to me the package is
an orphan?

with the very best regards,
Peter

Peter Drysdale
(Uploader for festival and speech-tools)
[Message part 2 (text/html, inline)]
[magic.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Thu, 07 Jun 2012 13:09:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 07 Jun 2012 13:09:21 GMT) Full text and rfc822 format available.

Message #39 received at 674006@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: 674006@bugs.debian.org
Subject: Re: libwvstreams4.6-base 4.6.1-4 ----- wvdial stopped working
Date: Thu, 7 Jun 2012 15:05:37 +0200
[Message part 1 (text/plain, inline)]
On Wed, 06 Jun 2012 21:37:30 +1000, Peter Drysdale wrote:

> As you were the kind DD who fixed the gcc 4.7 failure to build for
> libwvstreaams4.6-base, I am emailing you
> regarding this bug since you might be able to do a QA upload.

Thanks for adding all these informations to the bug log!
 
> I attach the Fedora version of the patch. It may need to be refreshed
> for use in
> Debian.
> 
> The original discussion at Fedora for this bug is found at:
> http://permalink.gmane.org/gmane.linux.redhat.fedora.extras.cvs/779635
> 
> Would you be able to refresh this patch and upload to Debian?

In general yes but ...
 
> I am unable to do this since I am a lowly uploader for an unrelated
> packages festival and speech-tools.
> I have no archive upload privileges to Debian.

... you could still prepare a package (and send the debdiff to this
bug) and test it and check if it affects other reverse dependencies.
 
> If you are unable to address this, do you know the correct DD to
> assist since it appears to me the package is
> an orphan?

I'm afraid there is no "correct DD" for an orphaned package :)

If you prepare an updated package you can also cc the debian-qa or
debian-mentors mailing lists, so others can have a look at the diff.
 

Cheers,
gregor


-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tina Turner: Better Be Good To Me
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 08 Jun 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 08 Jun 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: gregor herrmann <gregoa@debian.org>
Cc: 674006@bugs.debian.org
Subject: Re: libwvstreams4.6-base 4.6.1-4 ----- wvdial stopped working
Date: Fri, 8 Jun 2012 10:31:13 +1000
[Message part 1 (text/plain, inline)]
Dear Gregor,

Thank you for your email. It forced me to look further into Debian
procedures and policy. Between your email and details of Debian policy
I think I have found a way forward.

To avoid noise to your account I will not copy you to subsequent emails
regarding this bug where I can avoid it. I, of course, welcome any feedback
if you choose to give it.

With the very kindest regards,
Peter
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 08 Jun 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 08 Jun 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #49 received at 674006@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: 674006@bugs.debian.org
Subject: Re: libwvstreams4.6-base 4.6.1-4 ----- wvdial stopped working
Date: Fri, 8 Jun 2012 02:55:36 +0200
[Message part 1 (text/plain, inline)]
On Fri, 08 Jun 2012 10:31:13 +1000, Peter Drysdale wrote:

> Thank you for your email. It forced me to look further into Debian
> procedures and policy. Between your email and details of Debian policy
> I think I have found a way forward.

Sounds great :)
 
> To avoid noise to your account I will not copy you to subsequent emails
> regarding this bug where I can avoid it. I, of course, welcome any feedback
> if you choose to give it.

Don't worry, I will read whatever gets added to this bug (as I'm
subscribed to it), and I'll read it only once (thanks to procmail).

And I'm happy to take a look, and maybe also upload a proposed new
version, although I'd still prefer some tests and feedback from
someone who has better knowledge of the package.
 
Thanks,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Beatles
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 08 Jun 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 08 Jun 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #54 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org
Subject: Re: libwvstreams4.6-base 4.6.1-4 ----- wvdial stopped working
Date: Fri, 8 Jun 2012 11:45:15 +1000
[Message part 1 (text/plain, inline)]
The purpose of this email is to set forth the reasons for raising the
severity of this bug
and describe my intentions.

1) I intend to increase the severity to release critical.

The Debian document regarding severity states:

critical makes unrelated software on the system (or the whole system)
break, or causes serious data loss, or introduces a security hole on
systems where you install the package.


I encountered this bug when a fellow Debian user did a "apt-get
dist-upgrade" from squeeze to wheezy.
(The machine has had dist-upgrades going back as far as etch)
That machine has internet access only through a 3G modem at the site it is
located.
After the apt-get dist-upgade the machine was restarted and failed to
connect to the internet.
This made the machine completely unusable for the purposes of network
access.
Since no other forms of network access are available at that site the
machine would not have been
able to receive security updates either.
The machine was transported to a wired network site [my place :-) ] to
allow downgrading of this package
from snapshots since this bug completely prevents network access if wvdial
is used as
the only 3G dialer.
Subsequently network-manager has been installed on this machine to provide
additional 3G modem dialer support.
(Network-manager did not provide a dialer when 3G access was originally
installed on this machine).

I believe these facts constitute that this bug made unrelated software
(browser, ssh , mail etc.)
broken. Since the only network access was via this package - the completely
unavailable
network seriously compromised this machine. If left it in this state it
would also have led to
security holes accumulating.

On reading of Debian guidelines I conclude this constituted a release
critical bug for this machine.

2) Subject to my ability to gain access to hardware which I do not own, I
intend to test the fedora patch
and make it available on BTS followed by preparing for a NMU to be made
available on Debian QA mailing list.
The package has been abandoned upstream (homepage links are now
non-existent).
It is also orphaned in Debian. My intention is only to prevent users
upgrading to wheezy getting a "surprise".
I urge other users reading this to move to network-manager if possible
before a dist-upgrade
since network-manager appears better supported.

I apologize for my intention not to assist in subsequent maintaining of
this package after working on this bug.
My decision is significantly influenced by the pejorative comments made
about this software by one
of the original authors at the following URL:-
http://apenwarr.ca/log/?m=200912

with best regards,
Peter
[Message part 2 (text/html, inline)]

Severity set to 'critical' from 'important' Request was from Peter Drysdale <drysdalepete@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 01:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 08 Jun 2012 05:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 08 Jun 2012 05:12:04 GMT) Full text and rfc822 format available.

Message #61 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org
Date: Fri, 8 Jun 2012 15:09:45 +1000
[Message part 1 (text/plain, inline)]
Please find attached a draft patch refreshed in the Debian style.

This patch has passed build testing only on a Debian system.
It has passed testing on Fedora.

Run-time testing this patch on Debian will have to await either till I get
access to the hardware effected or another person affected by this
bug test compiles on their hardware, it works and they notify me
so I can hustle for a NMU.

best regards,
Peter
[Message part 2 (text/html, inline)]
[07_magic_number.diff (application/octet-stream, attachment)]

Marked as found in versions wvstreams/4.6.1-4. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Fri, 08 Jun 2012 11:54:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, slam@aptosid.com, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Wed, 13 Jun 2012 06:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Hildebrandt <slam@aptosid.com>:
Extra info received and forwarded to list. Copy sent to slam@aptosid.com, Debian QA Group <packages@qa.debian.org>. (Wed, 13 Jun 2012 06:51:09 GMT) Full text and rfc822 format available.

Message #68 received at 674006@bugs.debian.org (full text, mbox):

From: Chris Hildebrandt <slam@aptosid.com>
To: Debian Bug Tracking System <674006@bugs.debian.org>
Subject: libwvstreams4.6-base: Confirmation of patch working
Date: Wed, 13 Jun 2012 08:49:28 +0200
Package: libwvstreams4.6-base
Version: 4.6.1-4+c0.aptosid.1
Followup-For: Bug #674006

Hi, I am running a Debian sid build patched version and can confirm that above patch solves the problem.
Greetins,
Chris Hildebrandt

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-2.slh.1-aptosid-amd64 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libwvstreams4.6-base depends on:
ii  libc6       2.13-33
ii  libgcc1     1:4.7.0-13
ii  libstdc++6  4.7.0-13
ii  zlib1g      1:1.2.7.dfsg-11

libwvstreams4.6-base recommends no packages.

libwvstreams4.6-base suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, slam@aptosid.com, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Wed, 13 Jun 2012 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Hildebrandt <slam@aptosid.com>:
Extra info received and forwarded to list. Copy sent to slam@aptosid.com, Debian QA Group <packages@qa.debian.org>. (Wed, 13 Jun 2012 08:18:04 GMT) Full text and rfc822 format available.

Message #73 received at 674006@bugs.debian.org (full text, mbox):

From: Chris Hildebrandt <slam@aptosid.com>
To: Debian Bug Tracking System <674006@bugs.debian.org>
Subject: libwvstreams4.6-base: Patch not sufficient
Date: Wed, 13 Jun 2012 10:16:09 +0200
Package: libwvstreams4.6-base
Version: 4.6.1-4+c0.aptosid.1
Followup-For: Bug #674006

Well, too fast. Another problem came up with the new patch:
wvdial[2713]: segfault at 289df8 ip 00007f8d7679767a sp 00007ffff24ef3b0 error 4 in libwvbase.so.4.6[7f8d76753000+84000]
Sorry, package still broken.
Greetings,
Chris Hildebrandt

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-2.slh.2-aptosid-amd64 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libwvstreams4.6-base depends on:
ii  libc6       2.13-33
ii  libgcc1     1:4.7.0-13
ii  libstdc++6  4.7.0-13
ii  zlib1g      1:1.2.7.dfsg-11

libwvstreams4.6-base recommends no packages.

libwvstreams4.6-base suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Thu, 14 Jun 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 14 Jun 2012 03:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org, slam@aptosid.com
Subject: wvdial further discussion
Date: Thu, 14 Jun 2012 13:42:55 +1000
[Message part 1 (text/plain, inline)]
Dear Chris,

Thanks for your testing and feedback.
Apologies about the patch being insufficient.
I have not had access to the affected hardware since my previous post.

I note work continues at Fedora on this bug which can be found at:

https://bugzilla.redhat.com/show_bug.cgi?id=812651

Instead of the insufficient patch a possible test which could be tried is
altering line 37 of the debian/rules file to include

	CFLAGS += -O2 -fno-tree-dce -fno-optimize-sibling-calls


This would follow from the information suggested by Fabrice Bellet
on the Fedora bug list.

This is both a bit of a hack and shot in the dark since I don't own the
hardware
to test. I might get access to the hardware this weekend though.

best regards,
Peter
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 15 Jun 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 15 Jun 2012 00:09:04 GMT) Full text and rfc822 format available.

Message #83 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org
Subject: runtime tested solution found
Date: Fri, 15 Jun 2012 10:08:23 +1000
[Message part 1 (text/plain, inline)]
Please find attached a new debian/rules file for wvstreams which appears to
fix this bug.

It is altered in two places to switch off some compiler optimizations.
It is obviously a hack.

This has been runtime tested on borrowed hardware.

This follows Fabrice's suggestions.

Proper diff and packaging will follow.

It would be great if someone else also tests this in runtime context.

very best regards,
Peter
[Message part 2 (text/html, inline)]
[rules (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#674006; Package libwvstreams4.6-base. (Fri, 15 Jun 2012 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 15 Jun 2012 07:51:03 GMT) Full text and rfc822 format available.

Message #88 received at 674006@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 674006@bugs.debian.org
Subject: bug #674006 wvstreams diff
Date: Fri, 15 Jun 2012 17:47:54 +1000
[Message part 1 (text/plain, inline)]
Attached is diff for debian/rules for wvstreams to fix this bug.

It has been runtime tested on two different machines.

Wvstreams has received an ITA (intent to adopt) since I first started
looking into
this bug. I presume the new maintainer (Bart Martens) will upload for this
bug in combination
with his adoption upload so I leave this bug in patch available state.

best regards,
Peter
[Message part 2 (text/html, inline)]
[rules.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Peter Drysdale <drysdalepete@gmail.com> to control@bugs.debian.org. (Fri, 15 Jun 2012 07:51:05 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Fri, 22 Jun 2012 08:12:29 GMT) Full text and rfc822 format available.

Merged 674006 677527 Request was from Vasudev Kamath <kamathvasudev@gmail.com> to control@bugs.debian.org. (Fri, 22 Jun 2012 08:12:31 GMT) Full text and rfc822 format available.

Merged 674006 677527 679242 Request was from Peter Drysdale <drysdalepete@gmail.com> to control@bugs.debian.org. (Sun, 01 Jul 2012 23:06:10 GMT) Full text and rfc822 format available.

Reply sent to Johann Felix Soden <johfel@debian.org>:
You have taken responsibility. (Thu, 12 Jul 2012 23:58:30 GMT) Full text and rfc822 format available.

Notification sent to Emfox Zhou <emfox@debian.org>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 00:01:06 GMT) Full text and rfc822 format available.

Message #101 received at 674006-close@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@debian.org>
To: 674006-close@bugs.debian.org
Subject: Bug#674006: fixed in wvstreams 4.6.1-5
Date: Thu, 12 Jul 2012 23:47:18 +0000
Source: wvstreams
Source-Version: 4.6.1-5

We believe that the bug you reported is fixed in the latest version of
wvstreams, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Johann Felix Soden <johfel@debian.org> (supplier of updated wvstreams package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 13 Jul 2012 00:39:24 +0200
Source: wvstreams
Binary: libwvstreams4.6-base libwvstreams4.6-extras libuniconf4.6 libwvstreams4.6-doc libwvstreams-dev uniconfd uniconf-tools
Architecture: source amd64 all
Version: 4.6.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Johann Felix Soden <johfel@debian.org>
Description: 
 libuniconf4.6 - C++ network libraries for rapid application development
 libwvstreams-dev - Development libraries and header files for libwvstreams4.6
 libwvstreams4.6-base - C++ network libraries for rapid application development
 libwvstreams4.6-doc - Documentation for WvStreams
 libwvstreams4.6-extras - C++ network libraries for rapid application development
 uniconf-tools - Tools to interface with UniConf
 uniconfd   - Server that manages UniConf elements
Closes: 674006
Changes: 
 wvstreams (4.6.1-5) unstable; urgency=low
 .
   * QA upload.
   * Disable some gcc-4.7 optimization flags to fix wrong magic_number bug.
     Thanks to Peter Drysdale <drysdalepete@gmail.com>. (Closes: #674006)
   * Disable parallel build.
   * Add Build-Depends: graphviz.
Checksums-Sha1: 
 dbcd13b5816892ed9e02f060a6d3969c9d1810f3 2214 wvstreams_4.6.1-5.dsc
 a966df2b73aaed38e50acd846206ce5c053eeb09 14653 wvstreams_4.6.1-5.debian.tar.gz
 cac164695e48c50a3397f824069be6278c02a6fb 258636 libwvstreams4.6-base_4.6.1-5_amd64.deb
 9f68498a2e0469d67f88a8a13f022e4b3d115071 507874 libwvstreams4.6-extras_4.6.1-5_amd64.deb
 b38f32cd672863458e3156948cb5325129789dbb 181668 libuniconf4.6_4.6.1-5_amd64.deb
 453dab3b17ca4d49eed9b7a9e1d838115663e1cf 1581158 libwvstreams-dev_4.6.1-5_amd64.deb
 52c2cdec1f5982e860977e249f1ab6145ac7a4d1 75458 uniconfd_4.6.1-5_amd64.deb
 c109ae0d883a1bd4010a4bd3ae34ef128821ab41 67968 uniconf-tools_4.6.1-5_amd64.deb
 e911497aaea95ab7d6fdec362a05e81ca831cc19 12058520 libwvstreams4.6-doc_4.6.1-5_all.deb
Checksums-Sha256: 
 8f764e3e6abaf72d0eb3955e556a217e2654f690f43fdf143f05ca6f07a92a99 2214 wvstreams_4.6.1-5.dsc
 331965bff9a8a4d27d4005a32956ecf142d4ecf607c6630fe49afcc084148027 14653 wvstreams_4.6.1-5.debian.tar.gz
 93b086373017c0cd0e7d7884a0edff5572d0f075879d06adf875e8f0d7b27537 258636 libwvstreams4.6-base_4.6.1-5_amd64.deb
 6dc6cbe737e6782ce5bd197c7bd5e3a7f3df9a96ed840d439519d3596d95d44a 507874 libwvstreams4.6-extras_4.6.1-5_amd64.deb
 00e50dda578e59dac4adad6c8ad59e527019b7451a2c31aa05fb5361ec167d5e 181668 libuniconf4.6_4.6.1-5_amd64.deb
 96418edb729507cd024c0da91aee532e05cce7ba83b017a87c6885453677a88d 1581158 libwvstreams-dev_4.6.1-5_amd64.deb
 707cca69ae619e8f5c1d5c50a7eb1331be5d0a5263965b685879e546678c8d98 75458 uniconfd_4.6.1-5_amd64.deb
 855920e87e3ba64eeaedaef4665f5118ad6cc2bde3910be9d14294f5b937ae9b 67968 uniconf-tools_4.6.1-5_amd64.deb
 662f410e2c6a4478490d553bad39ff08cee21e9827b919de571d896c65d61091 12058520 libwvstreams4.6-doc_4.6.1-5_all.deb
Files: 
 562dfe4a758aa7f8a544ac1d3b72d273 2214 libs optional wvstreams_4.6.1-5.dsc
 83d2780666054601bad9be6109d3ee16 14653 libs optional wvstreams_4.6.1-5.debian.tar.gz
 9e1c30eeec0bc374e9978f69e40c2a81 258636 libs optional libwvstreams4.6-base_4.6.1-5_amd64.deb
 d3acacd64855718a8ea08dc2ab28938c 507874 libs optional libwvstreams4.6-extras_4.6.1-5_amd64.deb
 a51e3734d7f169a80d7a138aabc74011 181668 libs optional libuniconf4.6_4.6.1-5_amd64.deb
 c4b1672a1920b0c49f8f8a2a23d60ef6 1581158 libdevel optional libwvstreams-dev_4.6.1-5_amd64.deb
 2801f8af5a5fcdc83c40d78f2eddb7ef 75458 utils optional uniconfd_4.6.1-5_amd64.deb
 3db4f7be9e9cf7f7d16d2896c8fdfa7e 67968 utils optional uniconf-tools_4.6.1-5_amd64.deb
 938cfc666df71ecf616641bb242d5cd1 12058520 doc optional libwvstreams4.6-doc_4.6.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP/1zTAAoJEINZGTv9ywnEzmYP/jW3gt359Gw5rFsP04L7ZB70
TTovj6B2SczWM4kFT21VGv/L4Znw5cTrFRw9ZLBA0PCmRfN5YA6HaO0g840GlLnK
Cv3ocV4kOgOMOwM5c+k9yJvb8rG4ZNLTNFXJfdDHMAhjzbjPX+kK/3fsG2J78qj4
u4XH1Jp7aeI0Ue4LhJsqB3Jsg0xZY+KvN7wK4ZKSY6dXEECfdRub87cHNbAjXBnU
G8BhtVztz10Wt0XKRxR3dweRO9Z+rZ9jvIUxaD3Ah5nI5b8pA+SgBq1Io3GvjhoE
/wP2mLjB9axhiYSqqGlDt7o1S/+VWEcYMHR3mKv3PtKb6R8KxAKYmacPHzMF7XJV
J8RbueLtToIvC9nzZDBWG1YiQKVi48VybI6bT5zDf4neeb2lZVXlyDkjUlgRtV9D
NxM9W9kmv+3xc0hQhrR1RJrL1/gWRgGfcoGr5K59HaTkQYr8vPVeXqcwG+FrZlJq
nnJhVqVhtvKvmu3a4Dn36yVPVyMzCYFrsgNgnSkGVwT0+2u8MRQpB4SovCJorN1x
zaFAga4PQ23vvuaudKFEQLfCFDP8VGvLv+45sshqXXFpudQE/B/SI1pI6qf/UGI1
/F3N2FM5163xEILfzHc7amlm4QeHSdQD8XpoKDzRlldw1DJ/UGtqYf9Azna1icHe
jG5yDmY4B3pAW2qp8VLU
=/ofk
-----END PGP SIGNATURE-----





Reply sent to Johann Felix Soden <johfel@debian.org>:
You have taken responsibility. (Fri, 13 Jul 2012 00:01:44 GMT) Full text and rfc822 format available.

Notification sent to Dipesh Sharma <dipesh.sharma@gmail.com>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 00:02:43 GMT) Full text and rfc822 format available.

Reply sent to Johann Felix Soden <johfel@debian.org>:
You have taken responsibility. (Fri, 13 Jul 2012 00:03:01 GMT) Full text and rfc822 format available.

Notification sent to Mehturt <mehturt@gmail.com>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 00:05:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Aug 2012 07:25:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:42:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.